﻿@{
    ViewBag.Title = "Liaotian";
    Layout = "~/Views/Shared/_Layout_Search.cshtml";
}
@section headerStyle{
    <script type="text/javascript">
        var projectDropDown = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ProjectDropDown))';
        var shengDropDown = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.ShengDropDown))';
        var Creater = '@Html.Raw(Newtonsoft.Json.JsonConvert.SerializeObject(ViewBag.Creater))';
        loseherght = 60;
        dataCol = [
            { label: 'id', name: 'Id', labtype: 'txt', hidden: true },

            {
                label: '公告时间', name: 'StartTime', labtype: 'txt', hidden: false, width: 90 ,
                formatter: function (v) {
                    return $.trim(v) == '' ? '' : $.trim(v).replace("T"," ") //.substring(0,10);
                }
            },
            { label: '项目区域', name: 'Sheng', labtype: 'txt', hidden: false, width: 100  },
            {
                label: '项目名称', name: 'Name', labtype: 'txt', hidden: false, width: 400 ,
                formatter: function (cellvalue, options, rowObject) {
                    return "<a onclick=\"OpenWindow('" + cellvalue + "','98%','100%', '/Project/Add?id=" + rowObject.Id + "')\"  >" + cellvalue + "</a>";
                }
            }, { label: '项目编号', name: 'Number', labtype: 'txt', hidden: false, width: 100 },
            {
                label: '中标供应商', name: 'Toubiaocishu', labtype: 'txt', hidden: false, width: 400,
                formatter: function (cellvalue, options, rowObject) {
                    if (cellvalue != null && cellvalue != "null" && cellvalue != "") {
                        var ss = cellvalue.split('、');
                        var result = "";
                        for (var i = 0;i < ss.length; i++){
                            result += "<a onclick=\"OpenWindow('" + ss[i] + "','98%','100%', '/IntentionCustomer/EditByName?name=" + ss[i] + "')\"  >" + ss[i] + "</a>&nbsp;";
                        }

                        return result;
                    } else {
                        return "";
                    }
                }
            },
            {
                label: '第二候选', name: 'Drhx', labtype: 'txt', hidden: false, width: 400,
                formatter: function (cellvalue, options, rowObject) {
                    if (cellvalue != null && cellvalue != "null" && cellvalue != "") {
                        var ss = cellvalue.split('、');
                        var result = "";
                        for (var i = 0; i < ss.length; i++) {
                            result += "<a onclick=\"OpenWindow('" + ss[i] + "','98%','100%', '/IntentionCustomer/EditByName?name=" + ss[i] + "')\"  >" + ss[i] + "</a>&nbsp;";
                        }

                        return result;
                    } else {
                        return "";
                    }
                   
                }
            },
            {
                label: '第三候选', name: 'Dshx', labtype: 'txt', hidden: false, width: 400,
                formatter: function (cellvalue, options, rowObject) {
                    if (cellvalue != null && cellvalue != "null" && cellvalue != "") {
                        var ss = cellvalue.split('、');
                        var result = "";
                        for (var i = 0; i < ss.length; i++) {
                            result += "<a onclick=\"OpenWindow('" + ss[i] + "','98%','100%', '/IntentionCustomer/EditByName?name=" + ss[i] + "')\"  >" + ss[i] + "</a>&nbsp;";
                        }

                        return result;
                    } else {
                        return "";
                    }
                }
            },
            { label: '评审专家', name: 'Zhuanjia', labtype: 'txt', hidden: false, width: 400 },
            { label: '投标次数', name: 'Toubiaocishu', labtype: 'txt', hidden: true },
            { label: '中标次数', name: 'Zhongbiaocishu', labtype: 'txt', hidden: true },
            { label: '废标次数', name: 'Feibiaocishu', labtype: 'txt', hidden: true },
            { label: '中标金额', name: 'Zhongbiaojine', labtype: 'txt', hidden: true }
        ];
        dataUrl = "/Project/GetLiaotianList";
        searchCol = [
            { label: '公告时间', name: 'StartTimestar', labtype: 'date', hidden: false },
            { label: '--', name: 'StartTimeend', labtype: 'date', hidden: false, cwidth: '1%', cccwidth: '15%' },
            { label: '项目编号', name: 'Number', labtype: 'txt', hidden: false },
            { label: '项目名称', name: 'Name', labtype: 'txt', hidden: false },

            { label: '省', name: 'Sheng', labtype: 'combox', hidden: false, data: JSON.parse(shengDropDown), cwidth: '5%', cccwidth: '8%' },
            { label: '市', name: 'City', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '1%', cccwidth: '8%'  },
            { label: '区县', name: 'AreaId', labtype: 'combox', hidden: false, data: JSON.parse('[]'), cwidth: '2%', cccwidth: '8%' },
            { label: '采购方式', name: 'Cgfs', labtype: 'combox', hidden: false, data: JSON.parse(projectDropDown) },
            { label: '中标供应商', name: 'Names', labtype: 'txt', hidden: false },
            { label: '投标供应商', name: 'NamesToubiao', labtype: 'txt', hidden: false },
            { label: '评审专家', name: 'Zhuanjia', labtype: 'txt', hidden: false, cwidth: '8.5%', cccwidth: '15%' },
           
          
            { label: '录入时间', name: 'Createtime', labtype: 'datearea', hidden: false },
            { label: '录入人', name: 'Creater', labtype: 'combox', hidden: false, data: JSON.parse(Creater), cwidth: '5%', cccwidth: '8%' },

        ];
        var _pageAdd = function () {
            OpenWindow("新增项目", "98%", "90%", "/Project/Add/");
        }

        var _afterSave = function (result) {
            if (result) {
                toastr.success("保存成功");
            } else {
                toastr.error("保存失败");
            }
        }

        var _afterDel = function (result) {
            if (result) {
                toastr.success("删除成功");
            } else {
                /**/
                toastr.error("删除成功");
        /**/
    }
}
    </script>
}

@section footerScripts{
    <script type="text/javascript">

        function send() {
           
            var msg = $("#PBSSheng");
             
          
            if (msg.length > 0) {
                $("#PBSSheng").change(function () {
                    var sheng = $("#PBSSheng").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getCity?shengid=" + sheng,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {
                            
                            var city = $("#PBSCity");
                            city.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            city.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    city.append(o);
                                }
                            }
                            $("#PBSCity").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });
               
            } else {
                setTimeout(send, 1000);
            } }

        
        send();



        function sendCity() {

            var msg = $("#PBSCity");
             
           
            if (msg.length > 0) {
                $("#PBSCity").change(function () {
                    
                    var city = $("#PBSCity").val();
                    $.ajax({
                        type: "GET",
                        url: "/Project/getAreaId?cityid=" + city,
                        dataType: "json",
                        global: false,
                        data: "",
                        success: function (data) {
                           
                            var quxian = $("#PBSAreaId");
                            quxian.find('option').remove();
                            var aaa = '<option value="" hassubinfo="true">&nbsp;</option>';
                            quxian.append(aaa);
                            if (data.length > 0) {
                                for (var i = 0; i < data.length; i++) {

                                    var o = '<option value="' + data[i].CodeId + '" hassubinfo="true">' + data[i].Name + '</option>';
                                    quxian.append(o);
                                }
                            }
                            $("#PBSAreaId").trigger('chosen:updated');//更新选项
                        },
                        error: function () {


                            parent.layer.msg('失败', { icon: 5 });
                        }
                    });
                });
              
            } else {
                setTimeout(sendCity, 1000);
            }
        }


        sendCity();

       

        
    </script>
}
